BarCodeKit 1.3.2

This new release of BarCodeKit fixes an issue with iOS-compatibility and several new warnings pointed out by Xcode 9.4.

Changes

  • FIXED: Podspec didn’t specify that pod is iOS compatible
  • FIXED: Some 9.4 warnings

Apparently I broke iOS support when I added Mac support because I specified the platform OSX in the pod spec, not realising that this would remove compatibility with iOS. The correct way, pointed out via pull request by Christopher Streel was to instead specify platform-specific version numbers.

I also used the opportunity do eliminate a few new warnings by Xcode 9.4.

The update is tagged on GitHub and available via Cocoapods.


Originally published at Cocoanetics.